function StartChangePollType(type) {
    field = GetSelectedField();
    console.log(field);
    console.log(type);
    field.choices = [];
    field["pollsurveyresearchtest_field_type"] = type;

    return StartChangeInputType(type, field);
}

function SetDefaultValues_pollsurveyresearchtest(field) {
    var inputType = GetInputType(field);
    console.log(inputType);
    console.log(field);
        if (inputType == "number") {
                field.pollsurveyresearchtest_field_type = "number";
                field.inputType = "number";
                field.inputs = null;
                field.enableChoiceValue = false;

                if (!field.label)
                    field.label = 'Number';

                if (!field.numberFormat)
                    field.numberFormat = "decimal_dot";

                field.choices = null;
               
       } else {
                var strings = gpollsurveyresearchtest_form_editor_js_strings;
                field.pollsurveyresearchtest_field_type = "radio";
                field.label = "Untitled Poll Field";
                field.inputType = "radio";
                field.inputs = null;
                field.enableChoiceValue = true;
                field.enablePrice = false;
                field.enableRandomizeChoices = false;
                if (!field.choices) {
                    field.choices = new Array(new Choice(strings.firstChoice, GeneratePollChoiceValue(field)), new Choice(strings.secondChoice, GeneratePollChoiceValue(field)), new Choice(strings.thirdChoice, GeneratePollChoiceValue(field)));
                }
               
        }
    return field;
}

function GeneratePollChoiceValue(field) {
    return 'gpollsurveyresearchtest' + field.id + 'xxxxxxxx'.replace(/[xy]/g, function (c) {
        var r = Math.random() * 16 | 0, v = c == 'x' ? r : r & 0x3 | 0x8;
        return v.toString(16);
    });

}

function gform_new_choice_poll(field, choice) {
    if (field.type == "pollsurveyresearchtest")
        choice["value"] = GeneratePollChoiceValue(field);

    return choice;
}

//binding to the load field settings event to initialize
jQuery(document).bind("gform_load_field_settings", function (event, field, form) {
    jQuery('#field_randomize_choices').prop('checked', field.enableRandomizeChoices ? true : false);
    jQuery("#pollsurveyresearchtest_field_type").val(field["pollsurveyresearchtest_field_type"]);
    jQuery("#pollsurveyresearchtest_question").val(field["label"]);
console.log(field);
    if (field.type == 'pollsurveyresearchtest') {

        jQuery('li.label_setting').hide();

        if (has_entry(field.id)) {
            jQuery("#pollsurveyresearchtest_field_type").attr("disabled", true);
        } else {
            jQuery("#pollsurveyresearchtest_field_type").removeAttr("disabled");
        }

    }
});
